import streamlit as st

def coreteks_homepage():
    # load pythonx logo
    st.image("./images/CoreTeksPicture.png")

    st.header("	:clap: Welcome to CoreTeks")

    st.markdown(
        """
        CoreTeks is an engaging and dynamic course designed to explore the ever-evolving world of IT technologies. Our mission is to connect learners with industry professionals and passionate individuals who are eager to share their expertise.

        Through a series of guest speaker sessions, CoreTeks introduces members to popular and cutting-edge IT tools, techniques, and innovations. Whether you're a seasoned expert or someone with unique IT skills to share, we welcome you to inspire and educate our community.

        Join us at CoreTeks, where knowledge meets collaboration, and technology shapes the future!
        """
    )

    st.divider()

    st.header("	:paperclip: CoreTeks Presentations")
    # for streamlit talk
    st.subheader(" :one: Introduction to Streamlit")
    st.image("./images/11-05-2024-Streamlit.jpg", width= 700)
    st.link_button(label="Watch Video Recording", use_container_width=True, type="primary", url="https://wtamu0-my.sharepoint.com/:v:/g/personal/czhang_wtamu_edu/EZBXalcLWaxHquMkZxOWXz8BV2yBo_A1OURZin0ZM0XliQ?nav=eyJyZWZlcnJhbEluZm8iOnsicmVmZXJyYWxBcHAiOiJPbmVEcml2ZUZvckJ1c2luZXNzIiwicmVmZXJyYWxBcHBQbGF0Zm9ybSI6IldlYiIsInJlZmVycmFsTW9kZSI6InZpZXciLCJyZWZlcnJhbFZpZXciOiJNeUZpbGVzTGlua0NvcHkifX0&e=SJD0A4", )
    st.divider()

    # for linux talk
    st.subheader(" :two: Linux Security and Web Server Setup")
    st.image("./images/11-19-2024-CaddyAndLinux.jpg", width= 500)
    st.link_button(label="Watch Video Recording", use_container_width=True, type="primary", url="https://wtamu0-my.sharepoint.com/:v:/g/personal/czhang_wtamu_edu/EdgZHrnkqihNrOZGYAT6O2MBSRBOBMv3czD_uIE21KgsWw?nav=eyJyZWZlcnJhbEluZm8iOnsicmVmZXJyYWxBcHAiOiJPbmVEcml2ZUZvckJ1c2luZXNzIiwicmVmZXJyYWxBcHBQbGF0Zm9ybSI6IldlYiIsInJlZmVycmFsTW9kZSI6InZpZXciLCJyZWZlcnJhbFZpZXciOiJNeUZpbGVzTGlua0NvcHkifX0&e=obIoyY", )
    st.link_button(label="Download PDF Instruction", use_container_width=True, type="primary", url="https://wtamu0-my.sharepoint.com/:b:/g/personal/czhang_wtamu_edu/Eaygqoc_FqxNgYj3BlEOXhsBzOj-BWTbNKwkpJEYSDBwgA?e=K7qxSU", )
    st.divider()


